/* ========== FONTS ========== */
@font-face {
    font-family: "Barlow-Light";
    font-weight: 300;
    src: url('../font/Barlow-Light.ttf');
}
@font-face {
    font-family: "JosefinSlab";
    src: url('../font/JosefinSlab-Regular.ttf');
}
@font-face {
    font-family: "JosefinSlab-Bold";
    font-weight: bold;
    src: url('../font/JosefinSlab-Bold.ttf');
}
@font-face {
    font-family: "JosefinSans";
    src: url('../font/JosefinSans-Regular.ttf');
}
/* ========== FLEXBOX DISPLAY ========== */
body {
    margin: 0;
}
.container {
    display: flex;
    align-items: center;
    align-content: space-around;
    justify-content: space-evenly;
    padding: 20px;
}
.col {
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
}
.col-3 {
    width: 30%;
}
ul {
    display: flex;
    margin: 0;
    position: relative;
}
li {
    list-style: none;
    padding: 0 20px;
}
a {
    text-decoration: none;
    color: inherit;
    font-family: "Barlow-Light";
}
a:hover {
    filter: opacity(0.7);
}
a:focus {
    outline: none;
}
p {
    font-family: "Barlow-Light";
}
h2 {
    font-family: "JosefinSlab-Bold";
    color: #816C4C;
}
h1 {
    font-family: "JosefinSans";
    color: #008037;
    text-align: center;
}
/* ========== MOBILE DEVICE - FLEXBOX DISPLAY ========== */
@media screen and (max-width: 576px) {
    .container {
        flex-direction: column;
    }
    .col-3 {
        width: 90%;
        margin: 20px;
    }
}
/* ========== NAVBAR ========== */
header {
    z-index: 99;
    position: fixed;
    top: 0;
    width: 100%;
    box-shadow: 0px 1px 3px #707070;
}
#navbar {
    background-color: #008037;
    display: flex;
    align-items: center;
    align-content: space-around;
    justify-content: space-between;
    padding: 0 30px 0 50px;
}
#navbar-logo {
    display: flex;
    align-self: center;
    padding: 20px 0 20px 0;
}
#navbar-logo a {
    display: flex;
}
#nav-menu {
    color: #fff;
}
#navbar-logo img {
    max-height: 30px;
}
#navbar-logo img:nth-child(2) {
    display: none;
}
#nav-burger {
    display: none;
}
#nav-burger:hover {
    filter: opacity(0.7);
    cursor: pointer;
}
#nav-burger img {
    filter: invert(100%);
    padding-right: 10px;
    height: 24px;
}
.nav-active {
    filter: opacity(0.7);
}
/* ========== MOBILE DEVICE - NAVBAR ========== */
@media screen and (min-width: 769px) {
    #nav-menu-2 {
        display: none;
    }
}
@media screen and (max-width: 768px) {
    #nav-menu {
        display: none;
    }
    #nav-burger {
        display: flex;
    }
    #nav-menu-2 {
        color: #fff;
        background-color: #008037;
        border-bottom: 1px dashed #fff;
        position: absolute;
        box-shadow: 0px 3px 3px #707070;
        width: 100%;
    }
    .inactive {
        display: none;
    }
    .active {
        display: block;
    }
    #nav-menu-2 ul {
        display: block;
        padding-inline-start: 0;
        text-align: center;
    }
    #nav-menu-2 li {
        padding: 20px;
    }
    #navbar-logo img:nth-child(1) {
        display: none;
    }
    #navbar-logo img:nth-child(2) {
        display: block;
    }
}
/* ========== BREADCRUMS ========== */
#breadcrums {
    color: #008037;
    float: left;
    margin: 25px 50px;
}
#breadcrums img {
    height: 15px;
    filter: invert(17%) sepia(99%) saturate(2998%) hue-rotate(148deg) brightness(101%) contrast(102%);
}
/* ========== CONTACT 2 ========== */
#contact-2 {
    margin-bottom: 50px;
    margin-top: 50px;
    padding-bottom: 50px;
    padding-top: 100px;
    background-image: url(../img/accueil-contact-feuilles.png);
    background-size: contain;
    background-position-x: right;
    background-repeat: no-repeat;
}
#contact-2 h2 {
    text-align: center;
}
#contact-col-1, #contact-col-2 {
    margin: 10px;
    padding: 20px;
}
#contact-col-1-ext {
    padding: 5px;
    box-shadow: 0 3px 6px #707070;
    border-radius: 3px;
    border: 1px dashed #4b402d73;
    background-image: url(../img/texture-carre.png);
    background-size: cover;
    background-repeat: no-repeat;
}
#contact-col-1-int {
    padding: 10px;
    border-radius: 3px;
    border: 1px dashed #4b402d73;
    box-shadow: 0 3px 6px #707070;
    background-image: url(../img/texture-carre-fonce.png);
    background-size: cover;
    background-repeat: no-repeat;
}
#contact-col-1-map {
    border-radius: 3px;
}
#contact-col-1-map img {
    border-radius: 3px;
    margin-bottom: -4px;
    border: 1px dashed #4b402d;
    height: 300px;
    width: 400px;
}
#contact-col-2-grid {
    display: grid;
    grid-gap: 20px 10px;
    grid-template-columns: auto auto;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 3px;
    border: 1px dashed #fff;
}
.grid-item {
    padding: 10px;
    text-align: left;
}
.grid-item p {
    margin: 0;
}
.grid-item-svg {
    text-align: right;
    height: 20px;
    filter: invert(34%) sepia(76%) saturate(3938%) hue-rotate(338deg) brightness(132%) contrast(100%);
}
/* ========== CONTACT 2 - QUERIES ========== */
@media screen and (max-width: 1030px) {
    #contact-2 .container {
        flex-direction: column-reverse;
    }
}
@media screen and (min-width: 400px) and (max-width: 500px) {
    #contact-col-1-map iframe {
        height: 200px;
        width: 300px;
    }
}
@media screen and (min-width: 300px) and (max-width: 400px) {
    #contact-col-1-map iframe {
        height: 200px;
        width: 200px;
    }
}
@media screen and (max-width: 300px) {
    #contact-col-1-map iframe {
        height: 200px;
        width: 150px;
    }
    #contact-col-1-ext {
        padding: 2px;
    }
    #contact-col-1-int {
        padding: 5px;
    }
}
/* ========== FOLIAGE DIVIDERS ========== */
.contact-foliage img {
    width: 100%;
}
#mid-contact-foliage img {
    margin-bottom: -5px;
}
#footer-contact-foliage {
    background-color: #816C4C;
}
/* ========== FOOTER ========== */
footer {
    background-color: #816C4C;
    text-align: center;
    padding-bottom: 10px;
    color: #fff;
    padding-top: 50px;
}
#footer-top-svg {
    display: block;
    width: 100%;
}
#footer-div1 img {
    width: 70%;
}
#footer-div2 a {
    display: flex;
    align-items: baseline;
}
.footer-svg-icons{
    filter: invert(73%) sepia(26%) saturate(495%) hue-rotate(357deg) brightness(91%) contrast(89%);
    height: 22px;
    padding-right: 10px;
}
#legals {
    color: #4B402D;
    font-family: "Barlow-Light";
    display: block;
    padding: 0 10px;
    font-size: smaller;
}
/* ========== MOBILE DEVICE - FOOTER ========== */
@media (min-width: 576px) and (max-width: 1200px) {
    #footer-div2 {
        display: grid;
    }
    #footer-div2 .col-3 {
        width: 100%;
    }
}
/* ========== WEBSITE CARBON ========== */
#wcb {
    --b1: #008037 !important;
    --b2: #008037 !important;
    color: #000 !important;
}
#wcb_a {
    color: #000 !important;
}
#wcb_2 {
    color: #fff !important;
}
/* ========== SCROLL TO TOP BUTTON ========== */
#myBtn {
    display: none;
    position: fixed;
    bottom: 40px;
    right: 40px;
    z-index: 99;
    border: none;
    outline: none;
    background-color: rgba(1, 1, 1, 0.3);
    cursor: pointer;
    padding: 15px;
    border-radius: 5px;
    height: 50px;
    width: 50px;
    align-items: center;
}
#scroll-top-svg {
    filter: invert(100%);
    padding-bottom: 10px;
}
#myBtn:hover {
    background-color: rgba(1, 1, 1, 0.4);
}
